=head1 NAME

SuikaWiki::DB::FileSystem::LeafFileP - LeafFile Database ammended by Pescaped

=head1 DESCRIPTION

C<SuikaWiki::DB::FileSystem::LeafFileP> provides same functionality with
C<SuikaWiki::DB::FileSystem::LeafFile> with exception that
C<SuikaWiki::DB::FileSystem::LeafFileP> encodes key names
(files and directories names) by "PLUS SIGN escape."  See 
C<SuikaWiki::DB::FileSystem::Pescaped> for more information for
"PLUS SIGN escape."

This module is part of SuikaWiki.

=cut

package SuikaWiki::DB::FileSystem::LeafFileP;
use strict;
our $VERSION=do{my @r=(q$Revision: 1.1 $=~/\d+/g);sprintf "%d."."%02d" x $#r,@r};

require SuikaWiki::DB::FileSystem::Pescaped;
require SuikaWiki::DB::FileSystem::LeafFile;
push our @ISA, qw(SuikaWiki::DB::FileSystem::Pescaped
                  SuikaWiki::DB::FileSystem::LeafFile);

=head1 SEE ALSO

C<SuikaWiki::DB::FileSystem::LeafFile>,
C<SuikaWiki::DB::FileSystem::Pescaped>.

=head1 LICENSE

Copyright 2004 Wakaba <w@suika.fam.cx>.  All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

1; # $Date: 2004/06/03 06:38:48 $

